Subject: Re: Authentication option

From: [email-masked]
Date: Fri, 01 Sep 2000 07:47:14 -0700

That sounds to me like the clearest expression of the
problem and its solution so far - I'd like to see it go
into the draft. It supports the issue in a 'framework-like'
manner, in keeping with the rest of the draft.

Richard

"William A. Arbaugh" wrote:

> I propose the following:
>
> 1. An authentication mis-match should be treated in a similar fashion as
> if the server did not include authentication information.  Any thing
> further and we're going done the security association negotiation trail
> (and it's a long one).
>
> 2. While I don't like the idea of accepting packets where the
> authentication option failed to verify, the server could just as well have
> sent the packet without authentication information and we would accept it
> (assumming the client would accept un-authenticated packets).  Therefore,
> I propose that:
>         a. If the client is configured to accept un-authenticated packets,
> then it MAY accept (if further configured) authenticated packets that
> fail to verify.  We should stress that this is very dangerous and is only
> done for the sake of robustness.
>         b. If the client is configured NOT to accept un-authenticated
> packets, then the client MUST NOT accept authenticated packets that fail
> to verify.
>
> Bill